﻿Imports System.Diagnostics

Partial Class _Default
  Inherits System.Web.UI.Page

  ' 例外発生ボタンクリック
  Protected Sub ErrorButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ErrorButton.Click
    ' Try～Catchで例外を処理
    Try
      Dim a As Integer = Integer.Parse("a")
    Catch ex As Exception
      Debug.WriteLine("[Try - Catch]")
      Debug.WriteLine(ex)
      ' カスタムエラーページを表示させるため、再Throw
      Throw
    End Try
  End Sub

  ' ページレベルの集約例外ハンドラ
  Protected Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Error
    Dim ex As Exception = Server.GetLastError()
    Debug.WriteLine("[Page Level]")
    Debug.WriteLine(ex)
  End Sub
End Class
